<?php
    @session_start();
    set_time_limit(0);
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    if ($table == "configuracao") { echo "<script>location.href='cadastro/configuracao';</script>"; exit; }
?>
<link rel="stylesheet" type="text/css" href="css/dataTables.bootstrap.min.css">

<script type="text/javascript">
	function deletar(id,table) {
		if (confirm("Deseja mesmo deletar este registro?"))
			location.href= "deletar/"+table+"/"+id;	
	}

	
</script>
<?php
	$sql = "select TABLE_NAME,COLUMN_NAME,DATA_TYPE,
		CHARACTER_MAXIMUM_LENGTH,
		COLUMN_KEY,EXTRA,COLUMN_COMMENT,IS_NULLABLE
		from COLUMNS 
		where TABLE_SCHEMA = ? 
		AND TABLE_NAME = ?";
    $consulta = $is->prepare($sql); 
	$consulta->bindParam(1, $banco); 
	$consulta->bindParam(2, $table); 
	$consulta->execute();
	$row = $consulta->fetch(PDO::FETCH_OBJ);

	if (empty($row->TABLE_NAME)) {

		?>
<h1 class="page-header">
	Cadastro não encontrado!
</h1>
<div class="alert alert-danger">O cadastro não existe!</div>
<?php
	} else {

		$sql = "select * from TABLES where TABLE_SCHEMA = ? and TABLE_NAME = ? limit 1 ";
        $consulta2 = $is->prepare($sql); 
		$consulta2->bindParam(1, $banco); 
		$consulta2->bindParam(2, $table); 
		$consulta2->execute();
		$r = $consulta2->fetch(PDO::FETCH_OBJ);	

		$dados = explode(",",$r->TABLE_COMMENT);
		$i = $dados[3];
		$icone = $icons[$i];
		$tipo = $dados[2];
		$campos = explode(";",$dados[4]);
		

		if (($tipo == "Admin") and ($_SESSION["admin"]["tipo"] == "Colunista")) {
			echo "<div class='alert alert-danger'><strong>AVISO:</strong> Você não possui acesso a esta área!<br>
			Contate o administrador.</div>";
			exit;
		}

		?>
		<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Listagem de <?=$dados[1];?>
    		</div>
    		<div class="col-md-2 col-sm-2">	
    			<a href="cadastro/<?php echo $table; ?>" title="<?php echo $table; ?>" class="btn btn-success m">
    				<i class="glyphicon glyphicon-file"></i> Novo Registro
    			</a>
    		</div>
    		<div class="col-md-3 col-sm-4">
    			<form name="form1" method="post" action="listar/<?php echo $table; ?>">
		    		<div class="input-group">
				      <input type="text" name="palavra" class="form-control" placeholder="Buscar por...">
				      <span class="input-group-btn" >
				        <button class="btn btn-default" type="submit">
				        	<i class="glyphicon glyphicon-search"></i>
				        </button>
				      </span>
				    </div><!-- /input-group -->
		    	</form>
    		</div>
    	</div>
    
		</h1>
		<ol class="breadcrumb">
		    <li>
		        <i class="fa fa-dashboard"></i>  <a href="home">Dashboard</a>
		    </li>
		    <li class="active">
		        <i class="<?=$icone;?>"></i> Listar <?=$dados[1];?>
		    </li>
		</ol>

		<?php

		if ( $table == "arquivo" ) {

			?>	
			<form name="formbusca" method="post" class="form-inline text-center">
				<label for="cliente">Nome do cliente:
				<input type="text" name="cliente" class="form-control">
				</label>
				<label for="inicial">Data Inicial:
				<input type="text" name="inicial" data-mask="99/99/9999" class="form-control">
				</label>
				<label for="final">Data Final:
				<input type="text" name="final" data-mask="99/99/9999" class="form-control">
				</label>
				<button type="submit" class="btn btn-success">
					<i class="glyphicon glyphicon-search"></i> Listar
				</button>
			</form>
			<hr>
			<?php

		} else if  ( $table == "cliente" ) {

			?>	
			<form name="formbusca" method="post" class="form-inline text-center">
				<label for="cliente">Nome do Cliente:
				<input type="text" name="cliente" class="form-control">
				</label>

				<label for="ativo">Ativo:
				<select name="ativo" class="form-control">
					<option value="">Todos</option>
					<option value="Sim">Sim</option>
					<option value="Não">Não</option>
				</select>
				</label>

				<label for="status">Status:
				<select name="status" class="form-control">
					<option value="">Todos</option>
					<option value="Ativo">Ativo</option>
					<option value="Outro">Outro</option>
				</select>
				</label>

				<label for="parceiro_id">Parceiro:
				<select name="parceiro_id" class="form-control">
					<option value="">Todos</option>
					<?php
						$sql = "select * from parceiro order by nome";
						$res = $db->prepare($sql);
						$res->execute();
						while ( $dados = $res->fetch(PDO::FETCH_OBJ)) {
							echo "<option value='$dados->id'>$dados->nome</option>";
						}
					?>
				</select>
				</label>
				
				<button type="submit" class="btn btn-success">
					<i class="glyphicon glyphicon-search"></i> Listar
				</button>
			</form>
			<hr>
			<?php

		}


		?>

		<div id="msg"></div>

		<table class="table table-hover table-striped table-bordered">
			<thead bgcolor="#ccc">
				<tr>
					<?php
						foreach ($campos as $c) {
							$texto = strtoupper(codifica($c));
							echo "<td><strong>$texto</strong></td>";
						}
					?>
					<td width='15%'><strong>OPÇÕES</strong></td>
				</tr>
			</thead>
			<tbody>
		<?php

		$palavra = "";
		if (isset($_POST["palavra"])) $palavra = trim($_POST["palavra"]);
		if (isset($param[3])) $palavra = trim($param[3]);

		$p = 0;
		if (isset($param[2])) $p = trim($param[2]);

		$w = "";

		if (!empty($palavra)) {
			foreach ($campos as $c) {
				if (empty($w)) $w = " where $c like '%$palavra%' ";
				else $w .= " or $c like '%$palavra%' ";
			}
		}

		$qtde = 10;

		
		$sql = "select * from $table $w order by 1";

	
		if ($table == "funcionario") {

			$sql = "select f.id, f.nome, c.cargo, f.email, f.telefone1, f.ativo, f.tipo from
			funcionario f inner join cargo c on (c.id = f.cargo_id)
			$w order by f.nome";

		} else if ($table == "mensagem") {

			$sql = "select m.id, m.titulo, m.assunto, p.nome parceiro_id, date_format(m.data, '%d/%m/%Y') data
				from mensagem m 
				inner join parceiro p on (p.id = m.parceiro_id)
				order by m.data desc";

		} else if ($table == "cliente") {

			$limit = " limit 50 ";

			if ( isset ($_POST["cliente"] ) ) {
				$cliente = trim ( $_POST["cliente"] );
				if ( !empty ( $cliente ) ) {
					$w = " where c.nome like '%$cliente%' ";
					$limit = "";
				}
			} 
			if ( isset ( $_POST["ativo"] ) ) {
				$ativo = trim ( $_POST["ativo"] );
				if ( !empty ( $ativo ) ) {
					if ( empty($w)) $w = " where c.ativo = '$ativo' ";
					else $w .= " AND c.ativo = '$ativo' ";
					$limit = "";
				}
			} 
			if ( isset ( $_POST["status"] ) ) {
				$status = trim ( $_POST["status"] );
				if ( !empty ( $status ) ) {

					if ($status != "Ativo") $tt = " c.status != 'Ativo' ";
					else $tt = "  c.status = 'Ativo' ";

					if ( empty($w)) $w = " where $tt ";
					else $w .= " AND $tt ";
					$limit = "";
				}
			} 
			if ( isset ( $_POST["parceiro_id"] ) ) {
				$parceiro_id = trim ( $_POST["parceiro_id"] );
				if ( !empty ( $parceiro_id ) ) {
					if ( empty($w)) $w = " where c.parceiro_id = '$parceiro_id' ";
					else $w .= " AND c.parceiro_id = '$parceiro_id' ";
					$limit = "";
				}
			} 

			

			$sql = "select c.*, f.nome funcionario from cliente c 
			inner join funcionario f on (f.id = c.funcionario_id) 
			$w ";

			echo "<style>tr.odd,td,.even { font-size: 0.8em !important; }</style>";

		} else if ( $table == "mensagem") {

			$sql = "select m.id, m.titulo, m.assunto, date_format('%d/%m/%Y', m.data) data, p.nome
			from mensagem m
			inner join parceiro p on (p.id = m.parceiro_id)
			order by m.data desc";

		} else if ( $table == "arquivo" ) {

			$limit = " limit 10";
			$cliente = $inicial = $final = "";
			
			if ( isset ( $_POST["cliente"] ) ) {
				$cliente = trim ( $_POST["cliente"] );

				if ( !empty ( $cliente ) ) {

					$w = " where c.nome like '%$cliente%' ";
					$limit = "";

				}
			}

			if ( isset ( $_POST["inicial"] ) ) {
				$inicial = trim ( $_POST["inicial"] );
				if ( !empty ( $inicial ) ) {
					$inicial = explode ( "/", $inicial);
					$inicial = $inicial[2]."-".$inicial[1]."-".$inicial[0];
				}
			}
			if ( isset ( $_POST["final"] ) ) {
				$final = trim ( $_POST["final"] );
				if ( !empty ( $final ) ) {
					$final = explode ( "/", $final);
					$final = $final[2]."-".$final[1]."-".$final[0];
				} 

				if ( !empty ( $inicial ) ) {

					$limit = "";

					if ( empty ( $w ) ) 
						$w =" where data > '$inicial' and data < '$final' ";
					else
						$w.= " AND (data > '$inicial' and data < '$final') ";

				}
			}

			$sql = "select a.*, c.nome cliente, c.ativo, c.status, p.nome parceiro from arquivo a 
			inner join cliente c on (c.id = a.cliente_id) 
			inner join parceiro p on (p.id = c.parceiro_id)
			$w order by a.data desc, c.nome
			$limit";

		}
		
		
		$consulta = $db->prepare($sql); 
		$consulta->execute();

		$c = $consulta->rowCount();
		$text;

		echo "<script>$('#msg').html(\"<p class='alert alert-info text-center'><strong>$c registros encontrados:</strong></p>\")</script>";

		while ($r = $consulta->fetch(PDO::FETCH_OBJ)) {
			
			echo "<tr>";
			$i = 0;
			foreach ($campos as $c) {

				@$x = $r->$c;

				$sql = "select TABLE_NAME,COLUMN_NAME,DATA_TYPE,
					CHARACTER_MAXIMUM_LENGTH,
					COLUMN_KEY,EXTRA,COLUMN_COMMENT,IS_NULLABLE
					from COLUMNS 
					where TABLE_SCHEMA = ? 
					AND TABLE_NAME = ?
					AND COLUMN_NAME = ?";
				$consulta3 = $is->prepare($sql); 
				$consulta3->bindParam(1, $banco); 
				$consulta3->bindParam(2, $table); 
				$consulta3->bindParam(3, $c); 
				$consulta3->execute();
				$row3 = $consulta3->fetch(PDO::FETCH_OBJ);

				@$com = explode(",",$row3->COLUMN_COMMENT);

				if (isset($com[1])) {
					if ($com[1] == "mk") {
						if ($com[2] == "data") {
							$texto = explode("-",$x);
							$x = $texto[2]."/".$texto[1]."/".$texto[0];
						} else if ($com[2] == "valor") {
							$x = "R$ ". number_format($x,2,",",".");
						} else if ($com[2] == "datahora") {
							$texto = explode(" ",$x);
							$data = $texto[0];
							$hora = $texto[1];
							$texto = explode("-",$data);
							$x = $texto[2]."/".$texto[1]."/".$texto[0]." ".$hora;
						} 
					} else if ($com[1] == "file") {
						if (!isset($com[2])) {

							$x = "<a href=\"javascript:window.open('downloads.php?id=$r->id&cliente_id=$r->cliente_id')\" title='Download do Arquivo'
							class='btn btn-success'><i class='glyphicon glyphicon-save'></i> Download</a>";

						} else if ($com[2] == "imagem") {
							$arquivo = $pastaFotos.$x."p.jpg";
							$arquivom = $pastaFotos.$x."m.jpg";
							if (file_exists($arquivo)) {
								$x = "<a href='$arquivom' title='$x' class='thumbnail foto'><img src='$arquivo' width='60px'></a>";
							}
						} else {

						}
					}
				}


				
				echo "<td>$x</td>";
				
				if ($i == 1) $n = $x;
				$i++;
			}

			
			echo "<td width='100px'>
			<a href=\"javascript:deletar(".$r->id.",'$table')\"
			class='btn btn-danger' title='Excluir Registro $n'><i class='glyphicon glyphicon-trash'></i></a>
			<a href='cadastro/$table/".$r->id."' title='Editar Registro $n' class='btn btn-success'>
				<i class='glyphicon glyphicon-pencil'></i>
			</a>";
			


			if ($table == "galeria") {
				echo " <a href='add/$table/".$r->id."' title='Adicionar Fotos a ".$r->id."' class='btn btn-primary'>
					<i class='glyphicon glyphicon-picture'></i>
				</a>";
			} 


			if ($table == "mensagem") {
				echo " <a href='cadastro/enviarAviso/".$r->id."' title='Enviar Mensagem' class='btn btn-primary'>
					<i class='glyphicon glyphicon-envelope'></i>
				</a>";
			} 



			echo "</td></tr>";

		}

		echo "</tbody>
		</table>";


		
	}
?>
 
<script type="text/javascript" src="js/dataTables.bootstrap.js"></script>

<script type="text/javascript">
	$(document).ready(function () {
		$(".table").DataTable()
		$("td").css("font-size", "11px");
	})
</script>